// History.h: Schnittstelle fr die Klasse CHistory.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HISTORY_H__38062EDC_743E_11D3_BAC9_000021502136__INCLUDED_)
#define AFX_HISTORY_H__38062EDC_743E_11D3_BAC9_000021502136__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef struct
{
	CString searchstring;
	int searchtype;
	BOOL	filesize;
	CString	minfilesize;
	CString	maxfilesize;
	BOOL	date;
	CTime	datelimit;
	UINT	hits;
	int index;
} HISTORY_ENTRY;

class CHistory  
{
public:
	void LoadHistory();
	void SaveHistory(int num);
	void SelectSearch(CString &searchstring, int &searchtype, BOOL &filesize, CString &minfilesize, CString &maxfilesize, BOOL &date, CTime &datelimit, UINT &hits);
	void SelectLastSearch(CString &searchstring, int &searchtype, BOOL &filesize,
						  CString &minfilesize, CString &maxfilesize, BOOL &date,
						  CTime &datelimit, UINT &hits);
	void AddSearch(CString searchstring, int searchtype, BOOL filesize, CString minfilesize, CString maxfilesize, BOOL date, CTime datelimit, UINT hits);
	void DeleteHistory();
	CHistory(CComboBox *cbox);
	virtual ~CHistory();

private:
	CString GetSearchID(CString searchstring, int searchtype);
	void GetHistoryEntry(int index, HISTORY_ENTRY &hist);
	CComboBox * m_combobox;
	CArray <HISTORY_ENTRY, HISTORY_ENTRY> history;
};

#endif // !defined(AFX_HISTORY_H__38062EDC_743E_11D3_BAC9_000021502136__INCLUDED_)
